Page MenuHomePhabricator

evas proxy: make it work for load_region
ClosedPublic

Authored by kimcinoo on Nov 7 2019, 9:55 PM.

Details

Summary

This makes a proxy object use a selective region of a source object.
So far a proxy has not worked for load_region at all.
This should be better solution than https://phab.enlightenment.org/D10604
introducing new interface.

This is useful when the source is too big to allocate a proxy surface.
This will be used by elm_scroller to solve following issue.

[Issue]
If size of elm_sclloer content is too big, then the proxy of
elm_scroller to show loop effect does not work. Because
evas_gl_common_image_surface_new does not allow
bigger size surface than max_texture_size

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
kimcinoo created this revision.Nov 7 2019, 9:55 PM
kimcinoo requested review of this revision.Nov 7 2019, 9:55 PM
Hermet requested changes to this revision.Nov 11 2019, 4:40 PM

Hmm does this work for smart objects source ?
Very simple solution to fix this issue, user can set the source object as scroller viewport object, not the origin content.

This revision now requires changes to proceed.Nov 11 2019, 4:40 PM

Hmm does this work for smart objects source ?

Yes sure I tested with a smart object - genlist - first. And then tested a image object as attached example of D10604.

Very simple solution to fix this issue, user can set the source object as scroller viewport object, not the origin content.

Doesn't the scroller viewport show current page, not the first(?) part of content? How does it solve the scroller loop effect issue?

This patch could be separated from the scroller issue.
This patch makes proxy work for load_region.

Hermet accepted this revision.Feb 3 2020, 7:13 PM
This revision is now accepted and ready to land.Feb 3 2020, 7:13 PM
This revision was automatically updated to reflect the committed changes.